librime: rime::ConfigListEntryRef Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Member Functions | List of all members
rime::ConfigListEntryRef Class Reference

`#include <config_types.h>`

Inheritance diagram for rime::ConfigListEntryRef:
[legend]
Collaboration diagram for rime::ConfigListEntryRef:
[legend]

## Public Member Functions
| ConfigListEntryRef (ConfigData *data, an< ConfigList > list, size_t index)
template<class T>
ConfigItemRef & | operator= (const T &x)
Public Member Functions inherited from rime::ConfigItemRef
| ConfigItemRef (ConfigData *data)
virtual | ~ConfigItemRef ()=default
| operator an< ConfigItem > () const
an< ConfigItem > | operator* () const
template<class T>
ConfigItemRef & | operator= (const T &x)
ConfigListEntryRef | operator[] (size_t index)
ConfigMapEntryRef | operator[] (const string &key)
RIME_DLL bool | IsNull () const
bool | IsValue () const
RIME_DLL bool | IsList () const
bool | IsMap () const
RIME_DLL bool | ToBool () const
RIME_DLL int | ToInt () const
double | ToDouble () const
RIME_DLL string | ToString () const
RIME_DLL an< ConfigList > | AsList ()
RIME_DLL an< ConfigMap > | AsMap ()
RIME_DLL void | Clear ()
RIME_DLL bool | Append (an< ConfigItem > item)
RIME_DLL size_t | size () const
RIME_DLL bool | HasKey (const string &key) const
RIME_DLL bool | modified () const
RIME_DLL void | set_modified ()

## Protected Member Functions
an< ConfigItem > | GetItem () const
void | SetItem (an< ConfigItem > item)

## Additional Inherited Members
Protected Attributes inherited from rime::ConfigItemRef
ConfigData * | data_

## Constructor & Destructor Documentation

## ◆ ConfigListEntryRef()

rime::ConfigListEntryRef::ConfigListEntryRef | ( | ConfigData * | data,
|  | an< ConfigList > | list,
|  | size_t | index )
| inline

## Member Function Documentation

## ◆ GetItem()

an< ConfigItem > rime::ConfigListEntryRef::GetItem | ( |  | ) | const
| inlineprotectedvirtual

Implements rime::ConfigItemRef.

## ◆ operator=()

template<class T>

ConfigItemRef & rime::ConfigItemRef::operator= | ( | const T & | x | ) |
| inline

## ◆ SetItem()

void rime::ConfigListEntryRef::SetItem | ( | an< ConfigItem > | item | ) |
| inlineprotectedvirtual

Implements rime::ConfigItemRef.

The documentation for this class was generated from the following file:

- config_types.h